<link rel="import" href="../pie-chart.html">
<link rel="import" href="/ts/common-elements/iron-flex-layout-attributes/iron-flex-layout-attributes.html">
<link rel="import" href="/extern/bower_components/paper-checkbox/paper-checkbox.html">
<dom-module id="test-element">
  <template>
    <style include="iron-flex-layout-attributes"></style>
    <style>
      :host {
        display: block;
      }
      div[vertical][layout] {
        height: 100%;
      }
      paper-checkbox {
        margin: 10px;
      }
    </style>

    <div vertical layout>
      <div horizontal layout flex-center>
        <paper-checkbox checked="{{legend}}">legend</paper-checkbox>
        <paper-checkbox checked="{{labels}}">labels</paper-checkbox>
        <paper-checkbox checked="{{donut}}">donut mode</paper-checkbox>
      </div>
      <div horizontal layout flex>
        <pie-chart flex data="{{data}}" config="[[config]]"></pie-chart>
        <pie-chart flex data="{{data}}" config="[[config]]"></pie-chart>
      </div>
    </div>

  </template>
  <script>
    Polymer({
      is: 'test-element',
      properties: {
        data: {
          type: Array,
          value: function() {
            return [
              {
                "label": "One",
                "value": 29.765957771107
              }, {
                "label": "Two",
                "value": 0
              }, {
                "label": "Three",
                "value": 32.807804682612
              }, {
                "label": "Four",
                "value": 196.45946739256
              }, {
                "label": "Five",
                "value": 0.19434030906893
              }, {
                "label": "Six",
                "value": 98.079782601442
              }, {
                "label": "Seven",
                "value": 13.925743130903
              }, {
                "label": "Eight",
                "value": 5.1387322875705
              }
            ];
          }
        },
        config: {
          type: Object,
          value: function() {
            return {
              showLegend : false,
              showLabels : true,

              // our input data does not have 'x' and 'y' keys, but 'label' and 'value' keys
              // translate
              x: function(item) {
                return item.label;
              },
              y: function(item) {
                return item.value;
              },
              donut : true,
              showLabels: true
            }
          }
        },

        legend: {
          type: Boolean,
          value: false
        },
        labels: {
          type: Boolean,
          value: true
        },
        donut: {
          type: Boolean,
          value: true
        }
      },
      observers: ['setconf(legend, labels, donut)'],
      setconf: function() {
        var element = this.$$("pie-chart");
        element.set('config.showLegend', this.legend);
        element.set('config.showLabels', this.labels);
        element.set('config.donut', this.donut);
      }

    });
  </script>
</dom-module>
